Subject: RE: [nfsv4] Proposal for ACL changes

From: "wurzl, mario" <[email-masked]>
Date: Thu, 5 Jun 2003 08:58:00 -0400

It will certainly make the NFSv4 ACL mode more compatible with Windows, but
I do not see how it would be more compatible with Posix.

If you remove OWNER@ and GROUP@ you may as well remove EVERYONE@ (OTHERS),
which may be the cause of some interesting incompatibility problems.

Have two sets of permission attributes and not synchronizing them, will make
things worse for the end user. And, in a heterogeneous environment, if you
check both sets of permission attributes when accessing a file from NFSv4,
you will have to do the same with CIFS, else one may have access denied
through NFS but not with CIFS.

Mario

-----Original Message-----
From: Sergey Klyushin
To: [email-masked]
Sent: 6/4/2003 10:00 PM
Subject: [nfsv4] Proposal for ACL changes

I would like to propose the following changes for ACL in NFSv4 (at least
for
next minor version).

1. In paragraph 5.11.4.  ACE who 
Remove "OWNER@" and "GROUP@" from the list of special names.

2. In paragraph 5.11.6.  Mode and ACL Attribute
Remove requirements for synchronization of access granted by ACL and
mode.

3. In paragraph 5.11.6.  Mode and ACL Attribute
Add rule the following rule for checking access: 
- Process ACL first. 
- If access is not denied or not fully granted, check mode
- If access is not fully granted, then access is denied.

I believe this proposal will match better into both POSIX and Windows
ACL
models.

Thanks for your comments.
Sergey

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4
_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4